import { QueryParams } from './types';
/**
 * Generate the name of the processed image. The name generated follows the
 *  format: <imgName>,<operation>-<value>.<filetype>
 * Example: image1,height-100,width-200.png
 * @param imgName
 * @param queryParams
 * @returns
 */
export declare function generateFileName(originalName: string, queryParams: QueryParams): string;
export declare function normalizeQuery(params: Record<string, any>): QueryParams;
