/// <reference types="node" />
import { StorageEngine } from 'multer';
import { DiskStorageOptions, Storage } from '../types';
declare class DiskStorage implements Storage {
    private dest;
    constructor(options: DiskStorageOptions);
    save(id: string, image: Buffer): Promise<boolean>;
    fetch(id: string): Promise<Buffer | undefined>;
    exists(id: string): Promise<boolean>;
    getMulterStorage(): StorageEngine;
}
export { DiskStorage };
